# priceLists

**Scope required:** product:read

For a complete list of possible response fields see the [PriceListConnection](/developer/api-reference/types/pricelistconnection.md) type.

```graphql
query priceLists ($after: String, $before: String, $first: Int, $last: Int, $filter: String, $sort: String, $viewId: ID, $format: String) {
  priceLists (after: $after, before: $before, first: $first, last: $last, filter: $filter, sort: $sort, viewId: $viewId, format: $format) {
    edges {
      cursor
      node {
        basePrice
        code
        createdAt
        currencyId
        deprecated
        id
        isVisible
        monthlyBasePrice
        name
        periodMonths
        planId
        priceAdjustmentPercentage
        priceDescription
        productId
        renewalTermMonths
        showPriceAsMonthly
        sku
        trialAllowed
        trialLengthDays
        updatedAt
      }
    }
    totalCount
    pageInfo {
      startCursor
      endCursor
      hasNextPage
      hasPreviousPage
    }
  }
}
```

## Arguments

| Name   | Type   | Description                                                             |
| ------ | ------ | ----------------------------------------------------------------------- |
| after  | String | Returns the elements in the list that come after the specified cursor.  |
| before | String | Returns the elements in the list that come before the specified cursor. |
| first  | Int    | Returns the first *n* elements from the list.                           |
| last   | Int    | Returns the last *n* elements from the list.                            |
| filter | String |                                                                         |
| sort   | String |                                                                         |
| viewId | ID     |                                                                         |
| format | String |                                                                         |

## Response

* [PriceListConnection](/developer/api-reference/types/pricelistconnection.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/sending-a-graphql-request/pricelists.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
